summaryrefslogtreecommitdiff
path: root/files/plugins/xen
diff options
context:
space:
mode:
authorMicah Anderson <micah@riseup.net>2009-12-22 19:29:23 -0500
committerMicah Anderson <micah@riseup.net>2009-12-22 19:29:23 -0500
commit42c94b4fad526b25852c7bcaf053f441bac38c9e (patch)
tree89a8da279ba7190a350ade72bc52cda90362c4b7 /files/plugins/xen
parent577ff440b791ab67de77b20440b5e385fe1c9572 (diff)
parent76352415fec5c2ab6975e3a8843dd4983f7cae6a (diff)
Merge commit '76352415fec5c2ab6975e3a8843dd4983f7cae6a'
Conflicts: README lib/facter/acpi_available.rb lib/facter/interfaces.rb lib/facter/munin_interfaces.rb manifests/client.pp manifests/host.pp manifests/init.pp manifests/plugin.pp plugins/facter/interfaces.rb templates/defaultclient.erb templates/munin-node.conf.Debian.lenny
Diffstat (limited to 'files/plugins/xen')
-rwxr-xr-xfiles/plugins/xen52
1 files changed, 52 insertions, 0 deletions
diff --git a/files/plugins/xen b/files/plugins/xen
new file mode 100755
index 0000000..575cd3b
--- /dev/null
+++ b/files/plugins/xen
@@ -0,0 +1,52 @@
+#!/bin/sh
+#
+# Script to monitor CPU usage of Xen domains
+#
+# Parameters understood:
+#
+# conifg (required)
+# autoconf (optinal - used by munin-config)
+#
+
+MAXDOMAINS=16
+
+if [ "$1" = "autoconf" ]; then
+ if which xm > /dev/null ; then
+ echo yes
+ exit 0
+ fi
+ echo "no (xm not found)"
+ exit 1
+fi
+
+if [ "$1" = "config" ]; then
+
+ echo 'graph_title Xen Domain Utilerisation'
+ echo 'graph_args --base 1000 -l 0'
+ echo 'graph_scale no'
+ echo 'graph_vlabel mS'
+ echo 'graph_category xen'
+ echo 'graph_info This graph shows of many mS wall time where used by a domain'
+ /usr/sbin/xm list | grep -v "^Name .* Console$" | \
+ while read name domid mem cpu state time console; do
+ name=`echo $name | sed -e"s/-/_/"`
+ echo "$name.label $name"
+ echo "$name.type COUNTER"
+# if [ "$name" = "Domain_0" ]; then
+# echo "$name.draw AREA"
+# else
+# echo "$name.draw STACK"
+# fi
+ echo "$name.min 0"
+ echo "$name.info Wall clock time spend for $name"
+ done
+ exit 0
+fi
+
+/usr/sbin/xm list | grep -v "^Name" | grep -v "^Name .* Console$" | \
+while read name domid mem cpu state time console; do
+ name=`echo $name | sed -e"s/-/_/"`
+ time=`echo $time | sed -e "s/\.//"`
+ echo "$name.value $time"
+done
+